Ubuntu

Change log for “revelation” package in Ubuntu

136 of 36 results
Published in trusty-release on 2014-03-04
Deleted in trusty-proposed (Reason: moved to release)
revelation (0.4.14-2) unstable; urgency=low


  * Update copyright to 1.0 (DEP5) format and correctly state it's GPL-2+
    licensed (closes: #739822).
  * The PBKDF2 exporter makes FPM2 exporter unnecessary (closes: #575629).

 -- Laszlo Boszormenyi (GCS) <email address hidden>  Mon, 24 Feb 2014 19:39:39 +0100

Available diffs

Superseded in trusty-release on 2014-03-04
Deleted in trusty-proposed on 2014-03-05 (Reason: moved to release)
revelation (0.4.14-1) unstable; urgency=high


  * New upstream release, changes from FPM exporter to a more secure
    PBKDF2 one. This fixes CVE-2012-3818 (closes:  #678133).
  * Fix packaging mistakes (closes: #724467).
  * Update Standards-Version to 3.9.5 and debhelper level to 9.
  * New maintainer.

 -- Laszlo Boszormenyi (GCS) <email address hidden>  Sun, 05 Jan 2014 11:45:41 +0100

Available diffs

Superseded in trusty-release on 2014-01-05
Published in saucy-release on 2013-04-25
Published in raring-release on 2012-11-12
Deleted in raring-proposed (Reason: moved to release)
revelation (0.4.13-1.2) unstable; urgency=high


  * Non-maintainer upload.
    - Add a new patch to fix CVE-2012-3818 (Closes: #680059). It just disables
      the FPM exporter until it's properly fixep upstream.

 -- Thomas Pierson <email address hidden>  Fri, 20 Jul 2012 12:12:24 +0200
Superseded in raring-release on 2012-11-12
Published in quantal-release on 2012-04-26
Published in precise-release on 2012-03-05
revelation (0.4.11-10ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/patches/091_panel_category.dpatch:
      + Change GNOME panel category from "Utility" to the correct "Utilities".
    - debian/rules: Include dh_icons.
    - debian/patches/series: Include 040_xhtml.dpatch
  * Dropped changes, included in Debian:
    - Build with python 2.7
    - debian/patches/230-optional-gnomeapplet.patch: Make gnome-applet optional
    - Note that md5sums between Debian and Ubuntu are different.
    - debian/control:
      - Drop libbonoboui2-0, libbonoboui2-dev, libpanel-applet2-dev,
        python-gnome2-extras-dev build-dependencies
      - Drop python-gnomeapplet dependency
 -- Steve Langasek <email address hidden>   Sun, 04 Mar 2012 17:00:13 -0800
Superseded in precise-release on 2012-03-05
Published in oneiric-release on 2011-08-19
revelation (0.4.11-9ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/091_panel_category.dpatch:
      + Change GNOME panel category from "Utility" to the correct "Utilities".
    - debian/rules: Include dh_icons.
    - debian/patches/series: Include 040_xhtml.dpatch
    - Build with python 2.7
    - Note that md5sums between Debian and Ubuntu are different.
  * debian/patches/230-optional-gnomeapplet.patch: Make gnome-applet optional
  * debian/control:
    - Drop libbonoboui2-0, libbonoboui2-dev, libpanel-applet2-dev,
      python-gnome2-extras-dev build-dependencies
    - Drop python-gnomeapplet dependency (LP: #817260)

Superseded in oneiric-release on 2011-08-19
Obsolete in natty-release on 2013-06-04
revelation (0.4.11-8ubuntu3) natty; urgency=low

  * Fix FTBFS with python 2.7 (LP: #688096).
 -- Aerteieem PEopeove <email address hidden>   Thu, 09 Dec 2010 21:32:55 +0600

Available diffs

Superseded in natty-release on 2010-12-09
revelation (0.4.11-8ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.
 -- Matthias Klose <email address hidden>   Wed, 08 Dec 2010 15:10:06 +0000

Available diffs

Superseded in natty-release on 2010-12-08
revelation (0.4.11-8ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/091_panel_category.dpatch:
      + Change GNOME panel category from "Utility" to the correct "Utilities".
    - debian/rules: Include dh_icons.
    - debian/patches/series: Include 040_xhtml.dpatch
    - Note that md5sums between Debian and Ubuntu are different.
  * Dropped changes:
    - debian/rules: Package built fine, other changes are unnecessary.
    - debian/patches/092_typo_de_translation.dpatch: Look prefix 120_.
 -- Artur Rona <email address hidden>   Fri, 05 Nov 2010 23:29:25 +0100
Superseded in natty-release on 2010-11-07
Obsolete in maverick-release on 2013-03-05
Published in lucid-release on 2010-02-16
revelation (0.4.11-5ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes: (LP: #520281)
    - debian/rules:
      + Fix FTBFS with python >= 2.6
      + Include dh_icons
    - debian/patches/091_panel_category.dpatch:
      + Change GNOME panel category from "Utility" to the correct "Utilities".
    - debian/patches/092_typo_de_translation.dpatch:
      + Fix German translation typo
    - debian/patches/00list:
      + Include 040_xhtml.dpatch
  * Rename Ubuntu specific patches to avoid confusion with Debian's patches:
    - 91_panel_category.dpatch -> 091_panel_category.dpatch
    - 92_typo_de_translation.dpatch -> 092_typo_de_translation.dpatch
  * debian/patches/00list: Update with new Ubuntu specific patch names
  * Dropped changes now applied upstream:
    - debian/patches/94_url_decoding.dpatch:
      - Patches io.py to unquote file url during the normalisation process
  * Dropped changes no longer required:
    - debian/patches/010_intltool.dpatch:
      + Remove intltool files when cleaning
    - debian/patches/020_server_data.dpatch:
      + Remove GNOME_RevelationApplet.server when cleaning
    - debian/patches/93_python26_transition.dpatch:
      + Patches aclocal.m4 to return the correct value for
        cv_python_pyexecdir
  * debian/patches/100_backup_on_save.dpatch: (LP: #338138)
    Patches io.py to create a backup file before saving and restore
    the backup if saving fails

Superseded in lucid-release on 2010-02-16
revelation (0.4.11-4ubuntu4) lucid; urgency=low

  * add 94_url_decoding.dpatch to fix LP: #96968
    - Patches io.py to unquote file url during the
      normalisation process
 -- Bart Veldstra <email address hidden>   Sun, 03 Jan 2010 19:53:26 +1100

Available diffs

Superseded in lucid-release on 2010-01-03
Obsolete in karmic-release on 2013-03-04
revelation (0.4.11-4ubuntu3) karmic; urgency=low

  * add 93_python26_transition.dpatch to fix FTBFS (LP: #387231)
    - Patches aclocal.m4 to return the correct value for
      cv_python_pyexecdir

 -- Andreas Moog <email address hidden>   Sat, 01 Aug 2009 03:16:49 +0200
Superseded in karmic-release on 2009-08-01
revelation (0.4.11-4ubuntu2) karmic; urgency=low

  * Actually revert ui.py patch so 90_applet_crash.dpatch works.
    - Fixes FTBFS (LP: #387231)

 -- Hew McLachlan <email address hidden>   Mon, 15 Jun 2009 20:02:52 +1000

Available diffs

Superseded in karmic-release on 2009-06-28
revelation (0.4.11-4ubuntu1) karmic; urgency=low

  [ Hew McLachlan ]
  * Merge from debian unstable (LP: #386624), remaining changes:
    - Fix FTBFS with python >= 2.6
    - debian/patches/91_panel_category.dpatch:
      + Change GNOME panel category from "Utility" to the correct "Utilities".
    - debian/patches/92_typo_de_translation.dpatch:
      + Fix German translation typo
    - debian/rules:
      + Include dh_icons
  * Rename Ubuntu specific patches to avoid confusion with Debian's patches:
    - 80_panel_category.dpatch -> 91_panel_category.dpatch
    - 90_typo_de_translation.dpatch -> 92_typo_de_translation.dpatch
  * debian/patches/00list: Update with new Ubuntu specific patch names
  * Dropped changes now applied upstream:
    - debian/control:
      + Drop python-xml from Depends
    - debian/patches/80_transparency.dpatch:
      + Allow applet to support transparent panels
    - Fix index out of range in ui.py (LP: #362788)
  * Dropped changes no longer required:
    - debian/control:
      + Add dependency on python-gnome2-desktop

 -- Hew McLachlan <email address hidden>   Sat, 13 Jun 2009 23:05:07 +1000
Superseded in karmic-release on 2009-06-14
Obsolete in jaunty-release on 2013-02-28
revelation (0.4.11-3.1ubuntu2) jaunty; urgency=low

  * Fix FTBFS with python >= 2.6

 -- Laurent Bigonville <email address hidden>   Sun, 08 Mar 2009 19:30:47 +0100
Superseded in jaunty-release on 2009-03-08
revelation (0.4.11-3.1ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - debian/patches/80_panel_category.dpatch:
      + Change GNOME panel category from "Utility" to the correct "Utilities".
    - debian/patches/90_typo_de_translation.dpatch:
      + Fix German translation typo
    - debian/patches/70_transparency.dpatch:
      + Allow applet to support transparent panels
    - debian/control:
      + Drop python-xml from Depends
      + Add dependency on python-gnome2-desktop
    - debian/rules: Replace dh_iconcache with dh_icons
  * Rename Ubuntu specific patches to avoid confusion with Debian's patches:
    - 50_panel_category.dpatch -> 80_panel_category.dpatch
    - 60_typo_de_translation.dpatch -> 90_typo_de_translation.dpatch
  * debian/patches/00list: Update with new Ubuntu specific patch names

 -- David Futcher <email address hidden>   Wed, 03 Dec 2008 18:55:55 +0000
Superseded in jaunty-release on 2008-12-15
revelation (0.4.11-3ubuntu4) jaunty; urgency=low

  * Patch from "joenix" to handle changes to the panel background in the
    applet. Among other things this makes the applet support transparent
    panels. (LP: #284846)

 -- James Westby <email address hidden>   Tue, 18 Nov 2008 18:10:14 +0000
Superseded in jaunty-release on 2008-11-18
Obsolete in intrepid-release on 2013-02-20
revelation (0.4.11-3ubuntu3) intrepid; urgency=low

  * Fix index out of range in ui.py (LP: #257007)
    - Thanks to Jef Spaleta <email address hidden> for the patch.

 -- Hew McLachlan <email address hidden>   Sat, 04 Oct 2008 18:19:22 +1000

Available diffs

Superseded in intrepid-release on 2008-10-04
revelation (0.4.11-3ubuntu2) intrepid; urgency=low

  * Rebuild for cracklib2 -> libcrack2 transition.

 -- Michael Bienia <email address hidden>   Tue, 05 Aug 2008 15:26:37 +0200

Available diffs

Superseded in intrepid-release on 2008-08-05
Published in hardy-release on 2008-03-07
revelation (0.4.11-3ubuntu1) hardy; urgency=low

  * Merge from debian unstable (LP: #191154), remaining changes:
    + debian/patches/30_python.dpatch:
      + Use unversioned python interpreter.
    + debian/patches/50_panel_category.dpatch:
      + Change GNOME panel category from "Utility" to the correct "Utilities".
    + debian/rules:
      + Set the python version to 2.5.
    + debian/control:
      + Modify Maintainer value to match DebianMaintainerField spec.
  * debian/rules
    + Replace dh_iconcache with dh_icons.
  * debian/control:
    + Build-depend on debhelper => 5.0.51 (for dh_icons).
    + Drop python-xml from Depends (LP: #199014).
  * debian/patches/60_typo_de_translation.dpatch:
    + Fix typos in german translation (LP: #155768).
  * debian/patches/40_xhtml.dpatch:
    + Add this patch to 00list so it gets applied (fixes LP: #113728).

Superseded in hardy-release on 2008-03-07
Obsolete in gutsy-release on 2011-09-16
revelation (0.4.11-2ubuntu2) gutsy; urgency=low

  * Force python 2.5 to make the package actually work.

 -- Tollef Fog Heen <email address hidden>   Tue, 22 May 2007 08:31:11 +0200
Superseded in gutsy-release on 2007-05-22
revelation (0.4.11-2ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Actually apply patch for python2.5 by adding it to
      debian/patches/00list.

Superseded in gutsy-release on 2007-05-15
Obsolete in feisty-release on 2009-08-20
revelation (0.4.11-0ubuntu3) feisty; urgency=low

  * Actually apply patch for python2.5 by adding it to debian/patches/00list
    (LP: #91729).

 -- Jeremie Corbier <email address hidden>   Mon, 19 Mar 2007 20:44:22 -0700
Superseded in feisty-release on 2007-03-20
revelation (0.4.11-0ubuntu2) feisty; urgency=low

  * Force Python 2.5 so the package actually works.  (Without, it
    complains about errors when importing
    /usr/lib/python2.5/site-packages/revelation/crack.so .

 -- Tollef Fog Heen <email address hidden>   Sat, 10 Feb 2007 10:01:57 +0100
Superseded in feisty-release on 2007-02-10
revelation (0.4.11-0ubuntu1) feisty; urgency=low

  * New upstream release:
    0.4.11:
     Bugfixes:
     - fix applet configuration checks
     Translation:
     - updated czech translation [Zbyněk Mrkvička]
    0.4.10:
     Bugfixes:
     - don't import missing mman module in applet
    0.4.9:
     Bugfixes:
     - fixed translation of field names and tooltips
     - don't include built config.py during make dist
     - added POTFILES.skip to skip translation for certain files
     - set utf-8 encoding for POTFILES
     Translations:
     - added czech translation [Zbyněk Mrkvička]
     - updated german translation [Daniel Schindler]
    0.4.8:
     New features:
     - translation support
     - ported to gtk+ 2.8 and gnome 2.10
     - added LUKS file import/export [John Lenz]
     - added SplashID CSV file import [Devan Goodwin]
     - cleaned up preferences dialog
     - only show Revelation files by default in open and save dialogs
     Bugfixes:
     - improved error detection during file saving
     - handle errors while loading icons [Wade Berrier]
     - scale icons with improper sizes
     - use new icon for ftp accounts (old one removed from gnome-icon-theme)
     - fixed crash when doubleclicking tree with no entry selected
     - password generator now always avoids ambiguous characters
     - password checker and generator follow "show passwords" preference
     - don't use passwords in default goto commands
     - HIG fixes
     - added missing config.guess and config.sub autoconf files
     Translations:
     - added chinese translation [Dancefire]
     - added french translation [Gilles Accad]
     - added german translation [Christian Sagmueller]
     - added swedish translation [Daniel Nylander]
     Code changes:
     - improved build scripts
     - generate ChangeLog from subversion log during make dist
     - removed gnomemisc module
     - don't use deprecated gnome-python modules
     - moved convert_entry_generic() to the Entry.convert_generic() method
  * debian/patches/00list:
    - Don't apply 01_gnomemisc_override.dpatch, it fails with the new version.
  * debian/control:
    - Add intltool as a Build-Dep.

 -- Christian Bjälevik <email address hidden>   Sun, 21 Jan 2007 15:06:08 +0100
Superseded in feisty-release on 2007-01-21
revelation (0.4.7-4ubuntu3) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <email address hidden>   Mon, 15 Jan 2007 17:53:57 +0000
Superseded in feisty-release on 2007-01-15
revelation (0.4.7-4ubuntu2) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <email address hidden>   Fri, 12 Jan 2007 13:25:24 +0000
Superseded in feisty-release on 2007-01-12
revelation (0.4.7-4ubuntu1) feisty; urgency=low

  * Merge from debian unstable. Remaining changes:
    + data/bonobo/GNOME_RevelationApplet.server.in:
      - change category from "Utility" to the correct "Utilities"
    + debian/control:
      - depend on python-gnome2-desktop (>= 2.15.0) to be able to import
        gnomeapplet.Applet
    + debian/rules:
      - added dh_iconcache call

Superseded in feisty-release on 2006-12-19
Obsolete in edgy-release on 2008-06-19
revelation (0.4.7-2ubuntu2) edgy; urgency=low

  * src/wrap/gnomemisc/gnomemisc.override:
    - use gnomeapplet.Applet instead of gnome.applet.Applet
  * debian/control:
    - Depend on python-gnome2-desktop (>= 2.15.0) for the above change

 -- Sebastian Dröge <email address hidden>   Mon, 10 Jul 2006 17:22:24 +0200
Superseded in edgy-release on 2006-07-10
revelation (0.4.7-2ubuntu1) edgy; urgency=low

  * Sync with Debian:
    + debian/control:
      - added python-gnome2-desktop{-dev,} as {Build-,}Depends
    + debian/rules:
      - added dh_iconcache call
    + data/bonobo/GNOME_RevelationApplet.server.in:
      - change category from "Utility" to the correct "Utilities"

Superseded in edgy-release on 2006-06-26
Obsolete in dapper-release on 2011-09-06
revelation (0.4.5-2ubuntu3) dapper; urgency=low

  * debian/rules:
    -> Added dh_iconcache.
    -> Added dpatch as a temporary patch system.
  * debian/patches:
    -> Added 01_applet-category.patch: change category in which the applet
       is listed from Utility to Utilities (Closes: Malone #40889).
    -> Added 02_unlock-crash-fix.patch: fix a crash when the user tries to
       unlock the application main window (Closes: Malone #30390).

 -- Jeremie Corbier <email address hidden>   Fri, 12 May 2006 11:33:31 +0200
Superseded in dapper-release on 2006-05-12
Superseded in dapper-release on 2006-02-03
revelation (0.4.5-2ubuntu2) dapper; urgency=low


  * debian/control:
    - added python-gnome2-desktop{-dev,} as {Build-,}Depends because
      gnomeapplet moved around.

 -- Daniel Holbach <email address hidden>  Mon, 23 Jan 2006 20:02:34 +0100
Superseded in dapper-release on 2006-01-31
revelation (0.4.5-2ubuntu1) dapper; urgency=low


  * Change python2.3-gnome2 -> python2.4-gnome2 in dependencies

 -- Andrew Mitchell <email address hidden>  Tue, 29 Nov 2005 10:34:52 +1300
Obsolete in breezy-release on 2008-03-25
revelation (0.4.3-2) unstable; urgency=low


  * Acknowledged NMU

 -- Stefan Voelkel <email address hidden>  Mon, 16 May 2005 18:27:10 +0200
Obsolete in hoary-backports on 2008-03-19
revelation (0.4.3-2~hoary1) hoary-backports; urgency=low


  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <email address hidden>  Tue, 26 Jul 2005 14:17:12 +0100
Obsolete in hoary-release on 2008-03-19
revelation (0.3.4-1ubuntu1) hoary; urgency=low


  * Change Depends for python 2.4 packages

 -- Andrew Mitchell <email address hidden>  Wed,  2 Feb 2005 16:31:27 +1300
Obsolete in warty-release on 2008-01-09
revelation (0.3.0-1) unstable; urgency=low


  * New upstream release (Closes: #237480, #237773, #239417)

 -- Stefan Voelkel <email address hidden>  Tue,  6 Apr 2004 17:16:49 +0200
136 of 36 results